.. _ext_omni_physx_python_api:

Python API
**********

.. automodule:: omni.physx.bindings._physx
    :platform: Windows-x86_64, Linux-x86_64
    :members:
    :undoc-members:
    :imported-members:
    :inherited-members:
    :exclude-members: hasconflictingapis_RigidBodyAPI, hasconflictingapis_CollisionAPI, hasconflictingapis_ArticulationRoot,
                      hasconflictingapis_PhysxParticleSamplingAPI,
                      hasconflictingapis_Precompute, isOverConflictingApisSubtreeLimit, descendantHasAPI, ancestorHasAPI,
                      PhysXCookingPrivate, acquire_physx_cooking_private_interface, release_physx_cooking_private_interface,
                      IPhysxAttachmentPrivate, acquire_physx_attachment_private_interface, release_physx_attachment_private_interface,
                      PhysXUnitTests, acquire_physxunittests_interface, release_physxunittests_interface,

.. automodule:: omni.physx.scripts.utils
    :platform: Windows-x86_64, Linux-x86_64
    :members:

.. automodule:: omni.physx.scripts.physicsUtils
    :platform: Windows-x86_64, Linux-x86_64
    :members:

.. automodule:: omni.physx.scripts.deformableUtils
    :platform: Windows-x86_64, Linux-x86_64
    :members:
